Update an HHD flow
curl --request PATCH \
--url https://clarus-api.com/api/rf/flows/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "rf_flows",
"attributes": {
"name": "<string>",
"implementation_id": 123,
"is_default": true,
"definition": {}
}
}
}
'import requests
url = "https://clarus-api.com/api/rf/flows/{id}"
payload = { "data": {
"type": "rf_flows",
"attributes": {
"name": "<string>",
"implementation_id": 123,
"is_default": True,
"definition": {}
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'rf_flows',
attributes: {name: '<string>', implementation_id: 123, is_default: true, definition: {}}
}
})
};
fetch('https://clarus-api.com/api/rf/flows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}HHD Flows
Update an HHD flow
Update an existing HHD flow. The flow’s code is immutable.
PATCH
/
api
/
rf
/
flows
/
{id}
Update an HHD flow
curl --request PATCH \
--url https://clarus-api.com/api/rf/flows/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "rf_flows",
"attributes": {
"name": "<string>",
"implementation_id": 123,
"is_default": true,
"definition": {}
}
}
}
'import requests
url = "https://clarus-api.com/api/rf/flows/{id}"
payload = { "data": {
"type": "rf_flows",
"attributes": {
"name": "<string>",
"implementation_id": 123,
"is_default": True,
"definition": {}
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'rf_flows',
attributes: {name: '<string>', implementation_id: 123, is_default: true, definition: {}}
}
})
};
fetch('https://clarus-api.com/api/rf/flows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Request Structure
{
"data": {
"type": "rf_flows",
"attributes": {
"name": "Standard Pick Flow v2",
"is_default": true
}
}
}
Key Fields
| Field | Required | Description |
|---|---|---|
name | No | Display name |
flow_type | No | standard, task, or loading |
is_default | No | Default flow status |
definition | No | JSON definition |
code cannot be updated. Use the duplicate endpoint to create a new flow with a different code.
Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
FlowAuthorization Code
- Authorization URL
- https://clarus-api.com/oauth/authorize
- Token URL
- https://clarus-api.com/oauth/token
FlowClient Credentials
- Token URL
- https://clarus-api.com/oauth/token
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Path Parameters
The unique identifier of the HHD flow to update
Body
application/json
Show child attributes
Show child attributes
Response
Operation completed successfully with no content to return

